> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getpartna.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Registration, Deposit and Fee Settings

> Update preferred registration type, fee settings, deposit account, and crypto payment source.



## OpenAPI

````yaml put /user/settings
openapi: 3.0.3
info:
  title: GetPartna Api Documentation
  version: '3.0'
servers:
  - url: https://staging-api.getpartna.com/v4
  - url: https://api.getpartna.com/v4
security:
  - x-api-key: []
    x-api-user: []
  - authorization: []
tags:
  - description: user endpoints
    name: User
  - description: account endpoints
    name: Account
  - description: transfer endpoints
    name: Transfer
  - description: supported assets and networks
    name: Supported
  - description: discount endpoints
    name: Discount
  - description: rate endpoints
    name: Rate
  - description: KYC endpoints
    name: KYC
  - description: Multi-Factor Authentication endpoints
    name: MFA
  - description: ramp endpoints
    name: Ramp
  - description: pricing endpoints
    name: Pricing
  - description: banks
    name: Bank
  - description: mock endpoints for testing
    name: Mock
paths:
  /user/settings:
    put:
      tags:
        - User
      summary: Registration, Deposit and Fee Settings
      description: >-
        Update preferred registration type, fee settings, deposit account, and
        crypto payment source.
      operationId: put-user-settings
      requestBody:
        content:
          application/json:
            schema:
              example:
                autoMoveDeposit: false
                cryptoPaymentSource: ''
                feeAccount: ''
                feeAmount: 0
                feeCap: 0
                feeCurrency: ''
                feeType: ''
                registrationType: ''
              properties:
                autoMoveDeposit:
                  description: >-
                    select true if all user's account deposits should be held in
                    the user's main account; defaults to false
                  type: boolean
                cryptoPaymentSource:
                  description: >-
                    select known if crypto wallets are to a user provided
                    address; select unknown addresses generated by the service;
                    defaults to known
                  enum:
                    - known
                    - unknown
                  type: string
                feeAccount:
                  description: account to receive fees and it must be an existing account
                  type: string
                feeAmount:
                  description: required with feeCurrency and feeType
                  type: number
                feeCap:
                  description: >-
                    optional maximum fee amount; if set, the fee will not exceed
                    this amount if type is percentage
                  type: number
                feeCurrency:
                  description: required with feeAmount and feeType
                  enum:
                    - USD
                  type: string
                feeType:
                  description: required with feeCurrency and feeAmount
                  enum:
                    - fixed
                    - percentage
                  type: string
                registrationType:
                  enum:
                    - open
                    - closed
                  type: string
              type: object
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                example:
                  message: success
                properties:
                  message:
                    type: string
                type: object
          description: put user settings ok
        '400':
          content:
            application/json:
              schema:
                example:
                  data:
                    - >-
                      Field: [registrationType] Expected:[oneof(open closed)]
                      Value: [opened]
                  message: validation error
                properties:
                  data:
                    items:
                      type: string
                    type: array
                  message:
                    type: string
                type: object
          description: put user settings bad request
        '404':
          content:
            application/json:
              schema:
                example:
                  message: invalid feeAccount name
                properties:
                  message:
                    type: string
                type: object
          description: put user settings not found
      security:
        - x-api-key: []
          x-api-user: []
        - authorization: []
components:
  securitySchemes:
    x-api-key:
      in: header
      name: x-api-key
      type: apiKey
    x-api-user:
      in: header
      name: x-api-user
      type: apiKey
    authorization:
      bearerFormat: JWT
      scheme: bearer
      type: http

````